
public class JClient {

    static {
        System.loadLibrary("hpdosclient");
    }
    public static JClient jclient = null;
    public long endpointGroup;

    private JClient() {
        endpointGroup = createEndpointGroup("../prop.config");
    }

    public static JClient getInstance() {
        synchronized(JClient.class)
        {
            if (jclient == null) {
                System.out.println("creating jclient");
                jclient = new JClient();
            }
        }
        

        return jclient;
    }

    public native long createEndpointGroup(String file);

    public native void closeEndpointGroup(long endpointGroup);

    public native int put(long group, byte[] key, byte[] value);

    public native byte[] get(long group, byte[] key);

    public native int delete(long group, byte[] key);

}
