public class JClient {
  
  public long endpointGroup;

  public native long createEndpointGroup(String path);

  public native void closeEndpointGroup(long endpointGroup);

  public native int put(long group, byte[] key, byte[] value);

  public native byte[] get(long group, byte[] key);

  public native int delete(long group, byte[] key);


  static {
    System.loadLibrary("hpdosclient");
  }

  public static void main(String[] args) {

    System.out.println(System.getProperty("java.library.path"));
    try {
      //Thread.sleep(1000*40);
      JClient jclient = new JClient();
      jclient.endpointGroup = jclient.createEndpointGroup("prop.config");
  
      System.out.println("jc" + jclient.put(jclient.endpointGroup, "paras".getBytes(), "garg".getBytes()));
      var res = jclient.get(jclient.endpointGroup, "paras".getBytes());
        System.out.println("val size"+res.length+" "+new String(res));
      System.out.println("jc" + jclient.delete(jclient.endpointGroup, "paras".getBytes()));
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}